%define realname esasl

Name:		erlang-%{realname}
Version:	0.1
Release:	5%{?dist}
Summary:	Simple Authentication and Security Layer (SASL) support for Erlang
Group:		Development/Languages
# erlang sources are under BSD, C sources - under LGPLv2+
License:	BSD and LGPLv2+
URL:		http://wiki.github.com/mikma/esasl/
Source0:	http://cloud.github.com/downloads/mikma/%{realname}/%{realname}-%{version}.tar.gz
# Fix for not found header file -  ei.h, while configuring (fixed in git already)
Patch0:		esasl--fix-search-for-ei_h.diff
# fix for RHEL/EPEL, where automake/autoconf are way too old
PAtch1:		esasl--rhel_dirty_fix.diff
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang
BuildRequires:	libgsasl-devel
BuildRequires:	autoconf
BuildRequires:	automake
%if 0%{?el4}%{?el5}%{?fc11}
Requires:	erlang
%else
Requires:	erlang-erts
Requires:	erlang-kernel
Requires:	erlang-stdlib
%endif
Provides:	%{realname} = %{version}-%{release}


%description
Simple Authentication and Security Layer (SASL) support for Erlang.


%prep
%setup -q -n %{realname}-%{version}
%if 0%{?rhel}
%patch1 -p1 -b .fix_for_autoconf
%else
%patch0 -p0 -b .fix_ei_h_path
autoreconf -ivf
%endif


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# remove unused file
rm -f $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/eldap_expr.beam


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.LIB README
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/gsasl_drv


%changelog
* Fri May 28 2010 Peter Lemenkov <lemenkov@gmail.com> 0.1-5
- Narrow explicit requires

* Tue Feb 16 2010 Peter Lemenkov <lemenkov@gmail.com> 0.1-4
- Added two accidentally missing libraries
- Removed unneeded file ( eldap_expr.beam )

* Mon Feb 15 2010 Peter Lemenkov <lemenkov@gmail.com> 0.1-3
- Fixed issues, found during review.

* Wed Feb  3 2010 Peter Lemenkov <lemenkov@gmail.com> 0.1-2
- Fix for EPEL

* Sat Jan 16 2010 Peter Lemenkov <lemenkov@gmail.com> 0.1-1
- Initial package for Fedora
